function [ SSR ] = Varx1( theta, U, Y )
%VARX1 evaluate the sum of the preidcion error for the following ARX model
% y(k+1) = a*y(k) + b1*u(k) + b2*u(k-1) + e(k+1)
%
%   [ SSR ] = Varx1( theta, U, Y )
%
%Input values
%   theta   : column vector storing the paramethers [a b1 b2]'
%   U       : column vector storing the input data
%   Y       : column vector storing the output data


genTheta = [theta(1); 0; theta(2:3)];
Yp = ArxPred( U,Y,  genTheta);

SSR = sum((Yp -Y).^2);

